<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.4.2) on Mon May 16 15:57:53 EDT 2005 -->
<TITLE>
WSDLElement
</TITLE>

<META NAME="keywords" CONTENT="org.eclipse.wst.wsdl.WSDLElement interface">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../apistyles.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="WSDLElement";
}
</SCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=3 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<A HREF="#main"><FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/WSDLElement.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../serialized-form.html"><FONT CLASS="NavBarFont1"><B>Serialized</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../org/eclipse/wst/wsdl/UnknownExtensibilityElement.html" title="interface in org.eclipse.wst.wsdl"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../org/eclipse/wst/wsdl/WSDLFactory.html" title="interface in org.eclipse.wst.wsdl"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="WSDLElement.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>

</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<A NAME="main"></A>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.eclipse.wst.wsdl</FONT>
<BR>
Interface WSDLElement</H2>
<DL>
<DT><B>All Known Subinterfaces:</B> <DD><A HREF="../../../../org/eclipse/wst/wsdl/Binding.html" title="interface in org.eclipse.wst.wsdl">Binding</A>, <A HREF="../../../../org/eclipse/wst/wsdl/BindingFault.html" title="interface in org.eclipse.wst.wsdl">BindingFault</A>, <A HREF="../../../../org/eclipse/wst/wsdl/BindingInput.html" title="interface in org.eclipse.wst.wsdl">BindingInput</A>, <A HREF="../../../../org/eclipse/wst/wsdl/BindingOperation.html" title="interface in org.eclipse.wst.wsdl">BindingOperation</A>, <A HREF="../../../../org/eclipse/wst/wsdl/BindingOutput.html" title="interface in org.eclipse.wst.wsdl">BindingOutput</A>, <A HREF="../../../../org/eclipse/wst/wsdl/Definition.html" title="interface in org.eclipse.wst.wsdl">Definition</A>, <A HREF="../../../../org/eclipse/wst/wsdl/ExtensibilityElement.html" title="interface in org.eclipse.wst.wsdl">ExtensibilityElement</A>, <A HREF="../../../../org/eclipse/wst/wsdl/ExtensibleElement.html" title="interface in org.eclipse.wst.wsdl">ExtensibleElement</A>, <A HREF="../../../../org/eclipse/wst/wsdl/Fault.html" title="interface in org.eclipse.wst.wsdl">Fault</A>, <A HREF="../../../../org/eclipse/wst/wsdl/Import.html" title="interface in org.eclipse.wst.wsdl">Import</A>, <A HREF="../../../../org/eclipse/wst/wsdl/Input.html" title="interface in org.eclipse.wst.wsdl">Input</A>, <A HREF="../../../../org/eclipse/wst/wsdl/Message.html" title="interface in org.eclipse.wst.wsdl">Message</A>, <A HREF="../../../../org/eclipse/wst/wsdl/MessageReference.html" title="interface in org.eclipse.wst.wsdl">MessageReference</A>, <A HREF="../../../../org/eclipse/wst/wsdl/Operation.html" title="interface in org.eclipse.wst.wsdl">Operation</A>, <A HREF="../../../../org/eclipse/wst/wsdl/Output.html" title="interface in org.eclipse.wst.wsdl">Output</A>, <A HREF="../../../../org/eclipse/wst/wsdl/Part.html" title="interface in org.eclipse.wst.wsdl">Part</A>, <A HREF="../../../../org/eclipse/wst/wsdl/Port.html" title="interface in org.eclipse.wst.wsdl">Port</A>, <A HREF="../../../../org/eclipse/wst/wsdl/PortType.html" title="interface in org.eclipse.wst.wsdl">PortType</A>, <A HREF="../../../../org/eclipse/wst/wsdl/Service.html" title="interface in org.eclipse.wst.wsdl">Service</A>, <A HREF="../../../../org/eclipse/wst/wsdl/binding/soap/SOAPAddress.html" title="interface in org.eclipse.wst.wsdl.binding.soap">SOAPAddress</A>, <A HREF="../../../../org/eclipse/wst/wsdl/binding/soap/SOAPBinding.html" title="interface in org.eclipse.wst.wsdl.binding.soap">SOAPBinding</A>, <A HREF="../../../../org/eclipse/wst/wsdl/binding/soap/SOAPBody.html" title="interface in org.eclipse.wst.wsdl.binding.soap">SOAPBody</A>, <A HREF="../../../../org/eclipse/wst/wsdl/binding/soap/SOAPFault.html" title="interface in org.eclipse.wst.wsdl.binding.soap">SOAPFault</A>, <A HREF="../../../../org/eclipse/wst/wsdl/binding/soap/SOAPHeader.html" title="interface in org.eclipse.wst.wsdl.binding.soap">SOAPHeader</A>, <A HREF="../../../../org/eclipse/wst/wsdl/binding/soap/SOAPHeaderBase.html" title="interface in org.eclipse.wst.wsdl.binding.soap">SOAPHeaderBase</A>, <A HREF="../../../../org/eclipse/wst/wsdl/binding/soap/SOAPHeaderFault.html" title="interface in org.eclipse.wst.wsdl.binding.soap">SOAPHeaderFault</A>, <A HREF="../../../../org/eclipse/wst/wsdl/binding/soap/SOAPOperation.html" title="interface in org.eclipse.wst.wsdl.binding.soap">SOAPOperation</A>, <A HREF="../../../../org/eclipse/wst/wsdl/Types.html" title="interface in org.eclipse.wst.wsdl">Types</A>, <A HREF="../../../../org/eclipse/wst/wsdl/UnknownExtensibilityElement.html" title="interface in org.eclipse.wst.wsdl">UnknownExtensibilityElement</A>, <A HREF="../../../../org/eclipse/wst/wsdl/XSDSchemaExtensibilityElement.html" title="interface in org.eclipse.wst.wsdl">XSDSchemaExtensibilityElement</A></DD>
</DL>
<HR>
<DL>
<DT>public interface <B>WSDLElement</B></DL>

<P>
<!-- begin-user-doc -->
 A representation of the model object '<em><b>Element</b></em>'.
 <!-- end-user-doc -->

 <!-- begin-model-doc -->
 This class represents a WSDL language element.
 <!-- end-model-doc -->

 <p>
 The following features are supported:
 <ul>
   <li><CODE><em>Documentation Element</em></CODE></li>
   <li><CODE><em>Element</em></CODE></li>
 </ul>
 </p>
<P>

<P>
<DL>
<DT><B>See Also:</B><DD><CODE>org.eclipse.wsdl.WSDLPackage#getWSDLElement()</CODE></DL>
<HR>

<P>
<!-- ======== NESTED CLASS SUMMARY ======== -->


<!-- =========== FIELD SUMMARY =========== -->


<!-- ======== CONSTRUCTOR SUMMARY ======== -->


<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN=2><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/eclipse/wst/wsdl/WSDLElement.html#elementChanged(org.w3c.dom.Element)">elementChanged</A></B>(org.w3c.dom.Element&nbsp;changedElement)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Called to indicate that the given element has changed;
 the element should typically be the same as the one returned <A HREF="../../../../org/eclipse/wst/wsdl/WSDLElement.html#getElement()"><CODE>getElement()</CODE></A>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../org/eclipse/wst/wsdl/WSDLElement.html" title="interface in org.eclipse.wst.wsdl">WSDLElement</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/eclipse/wst/wsdl/WSDLElement.html#getContainer()">getContainer</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the value of the '<em><b>Container</b></em>' reference.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.w3c.dom.Element</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/eclipse/wst/wsdl/WSDLElement.html#getDocumentationElement()">getDocumentationElement</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the value of the '<em><b>Documentation Element</b></em>' attribute.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.w3c.dom.Element</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/eclipse/wst/wsdl/WSDLElement.html#getElement()">getElement</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the value of the '<em><b>Element</b></em>' attribute.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../org/eclipse/wst/wsdl/Definition.html" title="interface in org.eclipse.wst.wsdl">Definition</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/eclipse/wst/wsdl/WSDLElement.html#getEnclosingDefinition()">getEnclosingDefinition</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/eclipse/wst/wsdl/WSDLElement.html#setDocumentationElement(org.w3c.dom.Element)">setDocumentationElement</A></B>(org.w3c.dom.Element&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the value of the '<CODE><em>Documentation Element</em></CODE>' attribute.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/eclipse/wst/wsdl/WSDLElement.html#setElement(org.w3c.dom.Element)">setElement</A></B>(org.w3c.dom.Element&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the value of the '<CODE><em>Element</em></CODE>' attribute.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/eclipse/wst/wsdl/WSDLElement.html#setEnclosingDefinition(org.eclipse.wst.wsdl.Definition)">setEnclosingDefinition</A></B>(<A HREF="../../../../org/eclipse/wst/wsdl/Definition.html" title="interface in org.eclipse.wst.wsdl">Definition</A>&nbsp;definition)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/eclipse/wst/wsdl/WSDLElement.html#updateElement()">updateElement</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Ensures that the underlying DOM <A HREF="../../../../org/eclipse/wst/wsdl/WSDLElement.html#getElement()"><CODE>element</CODE></A> both exists and is up-to-date with respect to the model,
 i.e., it serializes the component and maintains an association with that serialization.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/eclipse/wst/wsdl/WSDLElement.html#updateElement(boolean)">updateElement</A></B>(boolean&nbsp;deep)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Ensures that the underlying DOM <A HREF="../../../../org/eclipse/wst/wsdl/WSDLElement.html#getElement()"><CODE>element</CODE></A> both exists and is up-to-date with respect to the model,
 i.e., it serializes the component and maintains an association with that serialization.</TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ FIELD DETAIL =========== -->


<!-- ========= CONSTRUCTOR DETAIL ======== -->


<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=1><FONT SIZE="+2">
<B>Method Detail</B></FONT></TD>
</TR>
</TABLE>

<A NAME="getDocumentationElement()"><!-- --></A><H3>
getDocumentationElement</H3>
<PRE>
public org.w3c.dom.Element <B>getDocumentationElement</B>()</PRE>
<DL>
<DD>Returns the value of the '<em><b>Documentation Element</b></em>' attribute.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Documentation Element</em>' attribute isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc -->
<P>
<DD><DL>

<DT><B>Returns:</B><DD>the value of the '<em>Documentation Element</em>' attribute.<DT><B>See Also:</B><DD><A HREF="../../../../org/eclipse/wst/wsdl/WSDLElement.html#setDocumentationElement(org.w3c.dom.Element)"><CODE>setDocumentationElement(Element)</CODE></A>, 
<CODE>org.eclipse.wsdl.WSDLPackage#getWSDLElement_DocumentationElement()</CODE></DL>
</DD>
</DL>
<HR>

<A NAME="setDocumentationElement(org.w3c.dom.Element)"><!-- --></A><H3>
setDocumentationElement</H3>
<PRE>
public void <B>setDocumentationElement</B>(org.w3c.dom.Element&nbsp;value)</PRE>
<DL>
<DD>Sets the value of the '<CODE><em>Documentation Element</em></CODE>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc -->
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>value</CODE> - the new value of the '<em>Documentation Element</em>' attribute.<DT><B>See Also:</B><DD><A HREF="../../../../org/eclipse/wst/wsdl/WSDLElement.html#getDocumentationElement()"><CODE>getDocumentationElement()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getElement()"><!-- --></A><H3>
getElement</H3>
<PRE>
public org.w3c.dom.Element <B>getElement</B>()</PRE>
<DL>
<DD>Returns the value of the '<em><b>Element</b></em>' attribute.
 <!-- begin-user-doc -->
 <p>
 This is the underlying DOM element associated with this component, 
 i.e., the <A HREF="../../../../org/eclipse/wst/wsdl/WSDLElement.html#updateElement()"><CODE>serialization</CODE></A> of this component.
 </p>
 <!-- end-user-doc -->
<P>
<DD><DL>

<DT><B>Returns:</B><DD>the value of the '<em>Element</em>' attribute.<DT><B>See Also:</B><DD><A HREF="../../../../org/eclipse/wst/wsdl/WSDLElement.html#setElement(org.w3c.dom.Element)"><CODE>setElement(Element)</CODE></A>, 
<CODE>org.eclipse.wsdl.WSDLPackage#getWSDLElement_Element()</CODE></DL>
</DD>
</DL>
<HR>

<A NAME="setElement(org.w3c.dom.Element)"><!-- --></A><H3>
setElement</H3>
<PRE>
public void <B>setElement</B>(org.w3c.dom.Element&nbsp;value)</PRE>
<DL>
<DD>Sets the value of the '<CODE><em>Element</em></CODE>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc -->
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>value</CODE> - the new value of the '<em>Element</em>' attribute.<DT><B>See Also:</B><DD><A HREF="../../../../org/eclipse/wst/wsdl/WSDLElement.html#getElement()"><CODE>getElement()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getEnclosingDefinition()"><!-- --></A><H3>
getEnclosingDefinition</H3>
<PRE>
public <A HREF="../../../../org/eclipse/wst/wsdl/Definition.html" title="interface in org.eclipse.wst.wsdl">Definition</A> <B>getEnclosingDefinition</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc -->
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setEnclosingDefinition(org.eclipse.wst.wsdl.Definition)"><!-- --></A><H3>
setEnclosingDefinition</H3>
<PRE>
public void <B>setEnclosingDefinition</B>(<A HREF="../../../../org/eclipse/wst/wsdl/Definition.html" title="interface in org.eclipse.wst.wsdl">Definition</A>&nbsp;definition)</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc -->
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="updateElement()"><!-- --></A><H3>
updateElement</H3>
<PRE>
public void <B>updateElement</B>()</PRE>
<DL>
<DD>Ensures that the underlying DOM <A HREF="../../../../org/eclipse/wst/wsdl/WSDLElement.html#getElement()"><CODE>element</CODE></A> both exists and is up-to-date with respect to the model,
 i.e., it serializes the component and maintains an association with that serialization.
<P>
<DD><DL>
<DT><B>See Also:</B><DD><A HREF="../../../../org/eclipse/wst/wsdl/WSDLElement.html#updateElement(boolean)"><CODE>updateElement(boolean)</CODE></A>, 
<A HREF="../../../../org/eclipse/wst/wsdl/WSDLElement.html#getElement()"><CODE>getElement()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="updateElement(boolean)"><!-- --></A><H3>
updateElement</H3>
<PRE>
public void <B>updateElement</B>(boolean&nbsp;deep)</PRE>
<DL>
<DD>Ensures that the underlying DOM <A HREF="../../../../org/eclipse/wst/wsdl/WSDLElement.html#getElement()"><CODE>element</CODE></A> both exists and is up-to-date with respect to the model,
 i.e., it serializes the component and maintains an association with that serialization.
 For <code>deep == true</code>, 
 or when <code><A HREF="../../../../org/eclipse/wst/wsdl/WSDLElement.html#getElement()"><CODE>getElement()</CODE></A> == null</code>, 
 this does the same thing as <A HREF="../../../../org/eclipse/wst/wsdl/WSDLElement.html#updateElement()"><CODE>updateElement()</CODE></A>;
 otherwise, it updates just the DOM element associated with this component to reflect the current state.
<P>
<DD><DL>
<DT><B>See Also:</B><DD><A HREF="../../../../org/eclipse/wst/wsdl/WSDLElement.html#updateElement()"><CODE>updateElement()</CODE></A>, 
<A HREF="../../../../org/eclipse/wst/wsdl/WSDLElement.html#getElement()"><CODE>getElement()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getContainer()"><!-- --></A><H3>
getContainer</H3>
<PRE>
public <A HREF="../../../../org/eclipse/wst/wsdl/WSDLElement.html" title="interface in org.eclipse.wst.wsdl">WSDLElement</A> <B>getContainer</B>()</PRE>
<DL>
<DD>Returns the value of the '<em><b>Container</b></em>' reference.
 This represents the concrete container of this component, 
 i.e., the inverse of the black diamond relations in the UML model.
<P>
<DD><DL>

<DT><B>Returns:</B><DD>the value of the '<em>Container</em>' reference.</DL>
</DD>
</DL>
<HR>

<A NAME="elementChanged(org.w3c.dom.Element)"><!-- --></A><H3>
elementChanged</H3>
<PRE>
public void <B>elementChanged</B>(org.w3c.dom.Element&nbsp;changedElement)</PRE>
<DL>
<DD>Called to indicate that the given element has changed;
 the element should typically be the same as the one returned <A HREF="../../../../org/eclipse/wst/wsdl/WSDLElement.html#getElement()"><CODE>getElement()</CODE></A>.
 It is expected that clients will not call this themselves 
 since the DOM event listeners attached to the underlying DOM will invoke these automatically.
<P>
<DD><DL>
</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=3 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<A HREF="#main"><FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/WSDLElement.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../serialized-form.html"><FONT CLASS="NavBarFont1"><B>Serialized</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../org/eclipse/wst/wsdl/UnknownExtensibilityElement.html" title="interface in org.eclipse.wst.wsdl"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../org/eclipse/wst/wsdl/WSDLFactory.html" title="interface in org.eclipse.wst.wsdl"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="WSDLElement.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>

</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
